# quart.testing.app module

exception quart.testing.app.LifespanError

  Bases: `Exception`

class quart.testing.app.TestApp(app, startup_timeout=DEFAULT_TIMEOUT, shutdown_timeout=DEFAULT_TIMEOUT)

  Bases: `object`

  Parameters:

    - app (Quart)

    - startup_timeout (int)

    - shutdown_timeout (int)

  test_client()
    Return type:

      TestClientProtocol

  async startup()
    Return type:

      None

  async shutdown()
    Return type:

      None